Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts
Interface DependencyArtifact

    interface DependencyArtifact

An `Artifact` represents an artifact included in a org.gradle.api.artifacts.Dependency.

An artifact is an (immutable) value object.

author:
  Hans Dockter

Field Summary
`java.lang.String` | `DEFAULT_TYPE`

Method Summary
`java.lang.String` | `getClassifier()` Returns the classifier of this dependency artifact.
`java.lang.String` | `getExtension()` Returns the extension of this dependency artifact.
`java.lang.String` | `getName()` Returns the name of the dependency artifact.
`java.lang.String` | `getType()` Returns the type of the dependency artifact.
`java.lang.String` | `getUrl()` Returns an URL under which this dependency artifact can be retrieved.

Field Detail

### DEFAULT_TYPE

    java.lang.String DEFAULT_TYPE

Method Detail

### getClassifier

    public java.lang.String getClassifier()

  Returns the classifier of this dependency artifact.

### getExtension

    public java.lang.String getExtension()

  Returns the extension of this dependency artifact. Often the extendsion is the same as the type, but sometimes this is not the case. For example for an ivy xml module decsriptor, the type is ivy and the extension is xml.
  see:
    #getType()

### getName

    public java.lang.String getName()

  Returns the name of the dependency artifact.

### getType

    public java.lang.String getType()

  Returns the type of the dependency artifact. Often the type is the same as the extension, but sometimes this is not the case. For example for an ivy xml module decsriptor, the type is ivy and the extension is xml.
  see:
    #getExtension()

### getUrl

    public java.lang.String getUrl()

  Returns an URL under which this dependency artifact can be retrieved. If not specified the user repositories are used for retrieving.

Groovy Documentation